## ZpjSkydriveFile ZpjSkydriveFile — Skydrive file object. |

## Functions

ZpjSkydriveEntry * | zpj_skydrive_file_new ()
goffset | zpj_skydrive_file_get_size ()

## Properties

gint64 | size | Read

## Types and Values

struct | ZpjSkydriveFile
struct | ZpjSkydriveFileClass

## Object Hierarchy

        GObject
        ╰── ZpjSkydriveEntry
            ╰── ZpjSkydriveFile
                ├── ZpjSkydrivePhoto
                ╰── ZpjSkydriveVideo

## Includes

    #include <zpj/zpj.h>

## Description

ZpjSkydriveFile represents a Skydrive file object.

## Functions

### zpj_skydrive_file_new ()

    ZpjSkydriveEntry *
    zpj_skydrive_file_new (JsonNode *node);

Creates a new ZpjSkydriveFile from the given `node` . If you already know the ID of the file then you can use `zpj_skydrive_query_info_from_id()`.

#### Parameters

node | A JsonNode returned by the server. |

#### Returns

A new ZpjSkydriveFile. Free the returned object with `g_object_unref()`.

[transfer full]

### zpj_skydrive_file_get_size ()

    goffset
    zpj_skydrive_file_get_size (ZpjSkydriveFile *self);

Gets the size of `self` in bytes. This is the value of the size member in the JSON returned by the server.

#### Parameters

self | A ZpjSkydriveFile. |

#### Returns

The entry's size in bytes.

## Types and Values

### struct ZpjSkydriveFile

    struct ZpjSkydriveFile;

The ZpjSkydriveFile structure contains only private data and should only be accessed using the provided API.

### struct ZpjSkydriveFileClass

    struct ZpjSkydriveFileClass {
      ZpjSkydriveEntryClass parent_class;
    };

Class structure for ZpjSkydriveFile.

#### Members

## Property Details

### The `“size”` property

      “size”                     gint64

Size of the file in bytes.

Owner: ZpjSkydriveFile

Flags: Read

Allowed values: >= -1

Default value: -1